| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Ogre::CreateHighLevelGpuProgramScriptCompilerEvent Class Reference
Core » General

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::CreateHighLevelGpuProgramScriptCompilerEvent:
[legend]

## Public Member Functions
| CreateHighLevelGpuProgramScriptCompilerEvent (const String &file, const String &name, const String &resourceGroup, const String &source, const String &language, GpuProgramType programType)

## Public Attributes
String | mFile
String | mLanguage
String | mName
GpuProgramType | mProgramType
String | mResourceGroup
String | mSource
String | mType

## Static Public Attributes
static String | eventType

## Constructor & Destructor Documentation

## ◆ CreateHighLevelGpuProgramScriptCompilerEvent()

Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::CreateHighLevelGpuProgramScriptCompilerEvent | ( | const String & | file,
|  | const String & | name,
|  | const String & | resourceGroup,
|  | const String & | source,
|  | const String & | language,
|  | GpuProgramType | programType
| ) |  |
| inline

## Member Data Documentation

## ◆ mFile

String Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::mFile

## ◆ mName

String Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::mName

## ◆ mResourceGroup

String Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::mResourceGroup

## ◆ mSource

String Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::mSource

## ◆ mLanguage

String Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::mLanguage

## ◆ mProgramType

GpuProgramType Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::mProgramType

## ◆ eventType

String Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::eventType
| static

## ◆ mType

String Ogre::ScriptCompilerEvent::mType
| inherited

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h